Retrieve a link token
curl --request POST \
--url https://prod.truv.com/v1/link-access-tokens/ \
--header 'Content-Type: application/json' \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>' \
--data '
{
"public_token": "48427a36d43c4d5aa6324bc06c692456"
}
'import requests
url = "https://prod.truv.com/v1/link-access-tokens/"
payload = { "public_token": "48427a36d43c4d5aa6324bc06c692456" }
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Access-Client-Id': '<api-key>',
'X-Access-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({public_token: '48427a36d43c4d5aa6324bc06c692456'})
};
fetch('https://prod.truv.com/v1/link-access-tokens/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "48427a36d43c4d5aa6324bc06c692456",
"link_id": "24d7e80942ce4ad58a93f70ce4115f5c",
"link_hash": "bc917458a3da4b2c8cc8282aa1707aaa",
"data_source": "payroll"
}{
"error": {
"code": "incorrect_parameters",
"message": "Incorrect request parameters",
"extra": {
"invalid-params": [
{
"field": "access_token",
"message": "This field is required."
}
]
}
}
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Account Links
Retrieve a link token
Exchange a bridge public_token for a link access_token.
POST
/
v1
/
link-access-tokens
/
Retrieve a link token
Authorizations
Client ID
Client Access Key
Body
application/json
Public token for an exchange
Example:
"48427a36d43c4d5aa6324bc06c692456"
Response
Access token
Example:
"48427a36d43c4d5aa6324bc06c692456"
Link ID
Example:
"24d7e80942ce4ad58a93f70ce4115f5c"
Link hash
Example:
"bc917458a3da4b2c8cc8282aa1707aaa"
Source of data: payroll - payroll provider parsing, docs - user uploaded documents, insurance - insurance data, financial_accounts - bank data, tax - tax documents, scoring_attributes - transactions scoring attributes report.
Available options:
payroll, docs, insurance, financial_accounts, tax, scoring_attributes Example:
"payroll"
Was this page helpful?
⌘I